OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Divergence< MapType, DiffScheme > Struct Template Reference

Compute the divergence of a vector-valued grid using differencing of various orders, the result defined with respect to the range-space of the map. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType::value_type | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType::value_type | result (const MapType &map, const StencilT &stencil)

## Detailed Description

template<typename MapType, DScheme DiffScheme>
struct openvdb::v11_0::math::Divergence< MapType, DiffScheme >

Compute the divergence of a vector-valued grid using differencing of various orders, the result defined with respect to the range-space of the map.

## Member Function Documentation

## ◆ result() [1/2]

template<typename MapType , DScheme DiffScheme>
template<typename Accessor >

static Accessor::ValueType::value_type result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

template<typename MapType , DScheme DiffScheme>
template<typename StencilT >

static StencilT::ValueType::value_type result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static